How to remove or block FAKEROOT octopi garuda hooks package?

Garuda 2.6.22-1 update today installed FAKEROOT package and I neither need it or want it.

System will not let me remove it, nor will it allow me to remove the octopi , claiming garuda-hooks needs it.

This feels sad, as I was an early adopter of Garuda back in 2019. I am not interested in installing this pkg on this machine or os: Please can someone advise how to remove it or block it.

systemctl Compilers:
gcc: 13.2.1 clang: 16.0.6 Packages: pm: pacman pkgs: 1720 libs: 411 tools: octopi,pamac,paru
Client: shell wrapper v: 5.2.26-release inxi: 3.3.31
Garuda (2.6.22-1):
System install date: 2023-02-17
Last full system update: 2024-02-01 ↻
Is partially upgraded: No
Relevant software: snapper NetworkManager mkinitcpio
Windows dual boot: No/Undetected
Failed units:

What’s the problem with not posting garuda-inxi?
It contains additional, useful information about the status of your system.

:warning: Missing information requested in the template may result in not receiving assistance

Make sure you have done the following before you post:

Issue still unresolved? Then:

  • ONE issue per topic.

  • Describe your issue in detail. The more we know, the better we can help

  • Show us the results of your searches, and what you’ve tried

  • After rebooting, post the FULL output of garuda-inxi in the body of the post (not linked externally, or collapsed with the “hide details” feature)

  • Format terminal output (including your garuda-inxi) as a code block by clicking the preformatted text button (</>) , or put three tildes (~) above and below the text

Without garuda-inxi this request will be moved to 412 Precondition Failed

2 Likes

Fakeroot has just been updated yesterday (2024-01-31 21:00 UTC) to 1.33-2.
It has always been in our iso profiles.
There is nothing to be worried about.

4 Likes
pacman -Qi fakeroot
Name            : fakeroot
Version         : 1.33-2
Description     : Tool for simulating superuser privileges
Architecture    : x86_64
URL             : https://tracker.debian.org/pkg/fakeroot
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : glibc  filesystem  sed  util-linux  sh
Optional Deps   : None
Required By     : pacman-contrib
Optional For    : pacseek
Conflicts With  : None
Replaces        : None
Installed Size  : 141,15 KiB
Packager        : Frederik Schwan <[email protected]>
Build Date      : Mi 31 Jan 2024 10:44:04 CET
Install Date    : Do 01 Feb 2024 10:39:58 CET
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : Signature

Required by pacman, so delete pacman and you are free :slight_smile: also from support from the garuda team.

5 Likes

LOL, wrong on all accounts, but I do admire your indeterministic style! :smiley:

2 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.